
Redmine - Defect #25146

Issue while modifying subproject configuration without the permission to create a subproject

2017-02-21 19:47 - Philippe Lotterie

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.4

Description

Hi,

When submitting changes for a subproject while the user doesn't have the permission to create a subproject, he gets an error telling

that the value of the subproject field is not correct.

The permissions he has for the projects are Modify project and Manage members.

Of course granting Create subproject permission shows the subproject field in the configuration page and fixes this issue.

Thank you for this great software,

Best regards,

Philippe

Environment:

  Redmine version                3.0.4.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [i386-linux-gnu]

  Rails version                  4.2.3

  Environment                    production

  Database adapter               Mysql2 (mysqld  Ver 5.5.53-0+deb8u1 for debian-linux-gnu on i686 

((Debian)))

SCM:

  Subversion                     1.8.10

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  computed_custom_field          0.0.6

  menu_link                      1.0.0

  redmine_code_review            0.7.0

  redmine_default_custom_query   1.0.0

  redmine_knowledgebase          3.1.0

  redmine_stats                  0.0.3

Related issues:

Is duplicate of Redmine - Defect #20282: Error message when editing a child p... Closed

History

#1 - 2017-02-22 05:46 - Mischa The Evil

- Is duplicate of Defect #20282: Error message when editing a child project without add project/subprojects permissions added

#2 - 2017-02-22 05:46 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

This duplicates #20282, which was fixed in Redmine 3.0.6. Closing this issue as such.

Nevertheless, thanks for reporting this issue.
